Update customer info
Path Parameters
Customer UUID
uuidHeader Parameters
Partner organization identifier
API authentication key
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
At least one field must be provided. Only the fields included in the request are updated.
1 <= propertiesResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/integrations/customer/497f6eca-6276-4993-bfeb-53cbbbba6f08/info" \ -H "SW-PARTNER-ID: string" \ -H "SW-API-KEY: string" \ -H "Content-Type: application/json" \ -d '{ "companyName": "Acme Corporation", "contactEmail": "contact@acme.co", "price": 49.99, "planType": "safeweb-plus" }'{ "success": true, "message": "Customer info updated successfully"}Get customer info GET
Returns a customer's non-monitoring details including locale, lifecycle status, and whether the customer has been scanned for breaches. The customer must belong to the authenticated partner.
Get customer breaches GET
Returns breach status (boolean), count, and the list of breaches for the given customer. The customer must belong to the authenticated partner.